# /utils/check_reference_style.py
import re


def check_if_APA(line: str):
    # 参数: line: str RF的第一行
    # 返回: bool 是否是APA格式 (否则是IEEE格式)

    # 如果开头是方括号 + 数字 + 方括号, 那么是IEEE格式
    if re.match(r'\[\d+\]', line):
        return False

    return True
